Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.servlets.attributes
Enum PortalAttributes.Scope

    java.lang.Object
      java.lang.Enum<PortalAttributes.Scope>
          com.bea.netuix.servlets.attributes.PortalAttributes.Scope

All Implemented Interfaces
  Serializable, Comparable<PortalAttributes.Scope>

Enclosing interface:
  PortalAttributes

    public static enum PortalAttributes.Scope

extends Enum<PortalAttributes.Scope>

This defines the scope of an attribute. REQUEST scope has the lifetime of an http request. SESSION-scoped attributes have the lifetime of the http session, and will force the creation of a session if present. APPLICATION scope is global to the webapp. Changes to APPLICATION-scoped data are not propagated across a cluster, so in general this data should probably be treated as read-only.

Enum Constant Summary
`APPLICATION`
`REQUEST`
`SESSION`

Method Summary
`static PortalAttributes.Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PortalAttributes.Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REQUEST

    public static final PortalAttributes.Scope REQUEST

### SESSION

    public static final PortalAttributes.Scope SESSION

### APPLICATION

    public static final PortalAttributes.Scope APPLICATION

Method Detail

### values

    public static final PortalAttributes.Scope[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static PortalAttributes.Scope valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved